Subject: Re: bug#21832: 11.88.8; prompt for using LuaTeX/XeTeX engine

From: jfbu <[email-masked]>
Date: Wed, 4 Nov 2015 23:50:34 +0100

Le 04/11/2015 23:37, Mosè Giordano a écrit :
> close 21832
> tags 21832 notabug
> thanks
>
>
> 2015-11-04 23:30 GMT+01:00 jfbu <[email-masked]>:
>> I find it somewhat fragile to decide only on the
>> basis of having found a \usepackage{fontspec} line
>> that the engine should be XeTeX or LuaTeX.
>
> Do you have other suggestions?  They're welcome :-)

I don't at this time ... I was surprised by the prompt
for XeTeX/LuaTeX (which in my use case was wrong, but
certainly that was very specific context), and if I had
to pause to think about it, I would be tempted by the somewhat
provocative but sincere feeling that checking for the
engine is not that of a good idea. It would perhaps
if only *one* engine was proposed as candidate, but if one has
to choose between luatex and xetex, that's not much
speed gain compared to doing it beforehand, or
being confronted with a botched pdflatex compilation and
doing it then.

Recently I read a bit of XeTeX doc, and it is perfectly
possible to use it without fontspec package.

I find it a bit surprising to tie discovery of XeTeX/LuateX
to use of fontspec package.

Why not rather a file variable at top of file ? Yes, user will
have thus to put something explicit there, but isn't it actually
better if the file is destined to be exchanged with other people
possibly not using Emacs/AUCTeX ?

>
>> This raises maintenance issues on your side as
>> you must keep an eye on what fontspec will become
>> in the future, and also on what future engines
>> might arise etc...
>
> Well, in style/ directory we have 196 files that raise lots of
> maintenance issues, so we are used to them ;-)  We do our best to keep
> them updated, and we seek for other people helping us.

My defense is now going to become pathetic, but this is time to
reveal that in my practice of auctex I surely underuse by a
factor 1000 the goodies which might come from whatever is in
style/

I must examine that

> I'm closing this ticket.

ok
bye,
Jean-François